#GIT_CMT=61c47779231466dee132c075105f959f45d784e0
# Copyright(c) 2015, Oracle.  All Rights Reserved.
#
#    Licensed under the Apache License, Version 2.0 (the "License"); you may
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.

# Python major version.
%{expand: %%define pyver %(python -c 'import sys;print(sys.version[0:3])')}
# Package version (openstack release) may be not equal to module version
%define version_internal 2015.1.1


Summary:        An Openstack Murano Agent for guest VMs
Name:           openstack-murano-agent
Version:        2015.1.0
Release:        1%{?dist}
License:        Apache License, Version 2.0
Group:          Applications/System
Url:            htts://launchpad.net/murano
Source0: openstack-murano-2015.1.0.tar.bz2
Source1:        muranoagent.conf.sample
Source2:        murano-agent.service
Source3:        murano-agent.init

BuildArch:      noarch
BuildRequires:  python-pbr >= 0.8.0
%{?el7:BuildRequires: systemd}

%{?el7:Requires: systemd}
%{?el6:Requires: initscripts}
%{?el6:Requires: python-importlib}
Requires:       python-anyjson
Requires:       python-babel
Requires:       python-eventlet >= 0.17.1
Requires:       python-iso8601
Requires:       PyYAML
Requires:       python-requests >= 2.2.0
Requires:       python-six >= 1.9.0
Requires:       python-kombu
Requires:       python-stevedore >= 1.3.0
Requires:       python-oslo-config >= 1.9.3
Requires:       python-bunch
Requires:       GitPython
Requires:       python-semantic_version


%description
Murano Agent is an application that is responsible for receiving and
execution commands called Execution Plans from remote source. 


%prep
%setup -q -n openstack-murano-%{version}


%build
# generate temporary pkg-info file
PKGINFO_NAME=$(sed -n -e '/^name/ s/name\s=\s//p' setup.cfg)
PKGINFO_VERSION=$(sed -n -e '/^version/ s/version\s=\s//p' setup.cfg)
cat > PKG-INFO << __EOF__
Metadata-Version: 1.1
Name: $PKGINFO_NAME
Version: $PKGINFO_VERSION
__EOF__
#build package
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
install -p -D -m 640 %{SOURCE1} %{buildroot}%{_sysconfdir}/murano/agent.conf.sample
# install manage scripts
%{?el7:install -p -D -m 755 %{SOURCE2} %{buildroot}%{_unitdir}/murano-agent.service}
%{?el6:install -p -D -m 755 %{SOURCE3} %{buildroot}%{_initrddir}/murano-agent}
# remove unnecessary tests
rm -fr %{buildroot}%{python_sitelib}/muranoagent/tests/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/muranoagent
%{?el7:%{_unitdir}/murano-agent.service}
%{?el6:%{_initrddir}/murano-agent}
%config %{_sysconfdir}/murano/agent.conf.sample
%{python_sitelib}/murano_agent-%{version_internal}-py%{pyver}.egg-info/*
%{python_sitelib}/muranoagent/*


%changelog
* Mon Jun 15 2015 - Alexander Reunov <alexander.reunov@oracle.com>
- Initial release for 2015.1.0
